
Name: librep
Version: 0.14
Release: 1
Summary: An embeddable LISP environment
Copyright: GPL
Group: Development/Languages
Source: http://download.sourceforge.net/librep/librep-%{version}.tar.gz
URL: http://librep.sourceforge.net/
Packager: John Harper <john@dcs.warwick.ac.uk>
Buildroot: /var/tmp/%{name}-root
#BuildPrereq: gmp-devel gdbm-devel readline-devel texinfo
BuildPrereq: gdbm-devel readline-devel texinfo
PreReq: /opt/freeware/bin/install-info
Requires: gdbm >= 1.8
Patch0: librep-%{version}-aix.patch
%define DEFCC xlc

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%package devel
Summary: librep include files and link libraries
Group: Development/Languages
Requires: %{name} = 0.14

%description devel
Link libraries and C header files for librep development.

%prep
%setup -q
%patch0 -p1 -b .aix

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi

LDFLAGS="-Wl,-brtl" CFLAGS="$RPM_OPT_FLAGS" ./configure \
    --with-readline \
    --without-gmp \
    --prefix=%{_prefix}

make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    DESTDIR=$RPM_BUILD_ROOT \
    aclocaldir=%{_datadir}/aclocal \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*

( cd $RPM_BUILD_ROOT
 for dir in bin include lib
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done
)

%post
/opt/freeware/bin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /opt/freeware/bin//install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
/usr/bin/rep
%{_bindir}/rep-remote
/usr/bin/rep-remote
%{_libdir}/librep.so*
/usr/lib/librep.so*
%{_datadir}/rep/%{version}
%{_libexecdir}/rep/%{version}/%{_target_platform}
%{_infodir}/librep*

%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
/usr/bin/rep-config
%{_bindir}/rep-xgettext
/usr/bin/rep-xgettext
%{_bindir}/repdoc
/usr/bin/repdoc
%{_libdir}/librep.la
/usr/lib/librep.la
%{_includedir}/rep.h
/usr/include/rep.h
%{_includedir}/rep_*.h
/usr/include//rep_*.h
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_libexecdir}/rep/%{_target_platform}/install-aliases
%{_libexecdir}/rep/%{_target_platform}/rep_config.h
%{_datadir}/aclocal/rep.m4

%changelog
* Fri Sep 14 2001 Dan McNichol <mcnichol@austin.ibm.com>
- Changes for AIX Toolbox.

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
